classification
Title: Missing function attributes in 2.7 docs.
Type: behavior Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mark.dickinson Nosy List: docs@python, mark.dickinson, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-12-02 18:57 by mark.dickinson, last changed 2014-02-01 16:35 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
missing_function_attributes.patch mark.dickinson, 2013-12-02 18:57 review
missing_function_attributes_v2.patch mark.dickinson, 2013-12-02 19:43 review
Messages (9)
msg205038 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-12-02 18:57
The attached patch fills in some missing function attributes from the Python 2.7 datamodel docs.
msg205040 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-02 19:01
Perhaps aliases should be added in same cell as original names?

       +-----------------------+-------------------------------+-----------+
       | :attr:`func_code`,    | The code object representing  | Writable  |
       | :attr:`__code__`      | the compiled function body.   |           |
       +-----------------------+-------------------------------+-----------+

Or add new "Alias" column?
msg205044 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-12-02 19:23
> Perhaps aliases should be added in same cell as original names?

That sounds good to me.  Perhaps with a single explanatory line below the table to explain that the double-underscore variants were introduced for compatibility with Python 3.
msg205046 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-12-02 19:43
Updated patch.
msg205049 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-02 20:13
Then write the double-underscore variants at first place.
msg208678 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-01-21 17:53
LGTM, but may be write Py3k compatible names at first place?
msg208916 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2014-01-23 12:33
> LGTM, but may be write Py3k compatible names at first place?

Sure;  I don't have strong opinions either way.
msg209329 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-01-26 15:26
> LGTM, but may be write Py3k compatible names at first place?

+1
msg209898 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2014-02-01 16:34
New changeset fed468670866 by Mark Dickinson in branch '2.7':
Issue #19683: Add __closure__ and other missing attributes to function docs.
http://hg.python.org/cpython/rev/fed468670866
History
Date User Action Args
2014-02-01 16:35:36mark.dickinsonsetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2014-02-01 16:34:20mark.dickinsonsetmessages: + msg209898
2014-01-26 15:26:01rhettingersetnosy: + rhettinger
messages: + msg209329
2014-01-23 12:33:04mark.dickinsonsetmessages: + msg208916
2014-01-21 18:22:40serhiy.storchakasetassignee: docs@python -> mark.dickinson
2014-01-21 17:53:22serhiy.storchakasettype: behavior
messages: + msg208678
stage: commit review
2013-12-02 20:13:13serhiy.storchakasetmessages: + msg205049
2013-12-02 19:43:44mark.dickinsonsetfiles: + missing_function_attributes_v2.patch

messages: + msg205046
2013-12-02 19:23:55mark.dickinsonsetmessages: + msg205044
2013-12-02 19:01:48serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg205040
2013-12-02 18:57:53mark.dickinsoncreate